<div *ngIf="patterns">
	<div class="scrollable">
		<i>Patterns</i><br>
		<div *ngFor="let pattern of patterns">
			<font color="{{pattern.color}}" (mouseover)="mouseOver(pattern)" (mouseleave)="mouseLeave()"> 
				&#9608;&#9608;&#9608; 
			</font>
		    <a class="details" (click)="pattern.show_details=!pattern.show_details">
			    <i *ngIf="pattern.show_details" class="fa fa-angle-double-down" aria-hidden="true"></i>
			    <i *ngIf="!pattern.show_details" class="fa fa-angle-double-right" aria-hidden="true"></i>
		    </a>
		    <a (click)="parent.focusOnPattern(pattern);parent.resetTreeView();pattern.show_details=true" (mouseover)="mouseOver(pattern)" (mouseleave)="mouseLeave()"> 
		    	{{pattern.name}}
		    </a>
		    <i class="fa fa-pencil" aria-hidden="true" data-toggle="tooltip" data-placement="right" title="Show options to edit the pattern" (click)="pattern.show_edit_options = !pattern.show_edit_options"></i>
			<div *ngIf="pattern.show_edit_options" class="options">
				Edit the pattern <b>{{pattern.name}}</b> :<br>
				<a class="option" (click)="parent.showAddSubpattern(pattern)">
					<i class="fa fa-plus" aria-hidden="true"></i>
					Add a subpattern
				</a><br>
				<a class="option" (click)="parent.confirmDelete(pattern)">
					<i class="fa fa-times" aria-hidden="true"></i>
					Delete {{pattern.name}}
				</a>
			</div>
		    <div *ngIf="pattern.show_details">
		        <subpatterns [pattern]="pattern" [subpatterns]="pattern.subpatterns"></subpatterns>
		    </div>
		</div>
		<a (click)="parent.getGeneralGraph()"> 
			<i class="fa fa-angle-right" aria-hidden="true"></i>
			<b> All patterns </b>
		</a>
	</div>
</div>